// RESET ALL
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
*,
*::before,
*::after {
  box-sizing: border-box;
}

/******************* BASE STYLE *********************/ 
.container{
    max-width: 1170px;
    padding-left: 15px;
    padding-right: 15px;
    margin: auto;
}
.d-flex{
	display: flex;
}
.align-content{
    align-items: center;
}
.align-content-end{
    align-items: flex-end !important;
}
.justify-end{
	justify-content: flex-end !important;
}
.justify-center{
    justify-content: center;
}
.row{
	display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -7px;
    margin-left: -7px;
}
.col{
	position: relative;
    width: 100%;
    padding-right: 7px;
    padding-left: 7px;
    @media (max-width: 768px) {
        -ms-flex: 0 0 100% !important;
        flex: 0 0 100% !important;
        max-width: 100% !important;
    }
}
.col-9{
	-ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%;
}
.col-6{
	-ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%;
}

/******************* CUSTOM STYLE *********************/ 
body{
    font-family: 'Roboto', sans-serif;
}

h4{
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    color: black;
    margin: 25px 0 15px;
}
    

.form-group{
    margin-bottom: 15px;
    .form-control{
        background: transparent;
        border: solid 1px gray;
        width: 100%;
        height: 35px;
        border-radius: 5px;
        padding-right: 10px;
        padding-left: 10px;
        font-size: 13px;
        font-weight: 600;
        color: black;
        &:placeholder{
            box-shadow: none;
            outline: none;
            color: black;
            font-size: 13px;
            font-weight: 500;
        }
    }
    textarea{
        background: transparent;
        border: solid 1px gray;
        width: 100%;
        height: 100px;
        border-radius: 5px;
        padding: 10px;
        font-size: 13px;
        font-weight: 600;
        color: black;
    }
    label{
        display: block;
        font-size: 14px;
        font-weight: 600;
        color: black;
        margin-bottom: 5px;
    }
    .btn-submit{
        background: transparent;
        border: solid 1px gray;
        width: 100%;
        height: 100px;
        border-radius: 5px;
        height: 40px;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
    }
}
.item{
    border: solid 1px black;
    margin-bottom: 20px;
    .head{
        display: flex;
        align-items: center;
        padding: 15px;
        @media (max-width: 576px) {
            display: block;
            text-align: center;
        }
        .action{
            margin-top: 15px;
            .btn{
                padding: 5px 20px;
                margin-left: 15px;
                cursor: pointer;
                box-shadow: none;
                outline: none;
                border: none;
                border-radius: 5px;
                font-weight: 500;
                color: white;
            }
            .btn-view{
                background-color: cadetblue;
            }
            .btn-delete{
                background-color: brown;
            }
        }
        .form-check-label{
            display: inline-block;
            font-size: 17px;
            color: black;
            margin-right: auto;
            input[type=checkbox] {
                position: relative;
                cursor: pointer;
                margin-right: 10px;
            }
            input[type=checkbox]:before {
                content: "";
                display: block;
                position: absolute;
                width: 20px;
                height: 20px;
                top: -3px;
                left: -5px;
                border: 2px solid #555555;
                border-radius: 3px;
                background-color: white;
            }
           input[type=checkbox]:checked:after {
                content: "";
                display: block;
                width: 7px;
                height: 23px;
                border: solid black;
                border-width: 0 2px 2px 0;
                transform: rotate(34deg);
                position: absolute;
                top: -10px;
                left: 5px;
            }
        }
    }
    .detail{
        padding: 20px;
        border-top: solid 1px black;
    }
}
.eror{
    font-size: 12px;
    color: red;
    font-style: italic;
}
.bulk{
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba($color: #000000, $alpha: 0.3);
    padding: 15px 0;
    p{
        font-size: 17px;
        color: black;
        font-weight: 600;
        margin-right: auto;
    }
    .action{
        .btn{
            padding: 5px 20px;
            margin-left: 15px;
            cursor: pointer;
            box-shadow: none;
            outline: none;
            border: none;
            border-radius: 5px;
            font-weight: 500;
            color: white;
        }
        .btn-view{
            background-color: cadetblue;
        }
        .btn-delete{
            background-color: brown;
        }
    }
}